Update a Load
curl --request PATCH \
--url https://api.tread-horizon.com/v1/loads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unit_of_measure": "Load",
"quantity": "<string>",
"phase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"ordinality": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_destroy": 123
}
],
"material_rate_assignment": {
"sell_price": 123,
"buy_price": 123,
"unit_of_measure": "Load",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"notes": "<string>"
}
'import requests
url = "https://api.tread-horizon.com/v1/loads/{id}"
payload = {
"unit_of_measure": "Load",
"quantity": "<string>",
"phase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
},
"ordinality": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_destroy": 123
}
],
"material_rate_assignment": {
"sell_price": 123,
"buy_price": 123,
"unit_of_measure": "Load",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unit_of_measure: 'Load',
quantity: '<string>',
phase_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
material_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
waypoints: [
{
type: 'pickup',
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact: {name: '<string>', email: '<string>', phone: '+18885551234'},
ordinality: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_destroy: 123
}
],
material_rate_assignment: {
sell_price: 123,
buy_price: 123,
unit_of_measure: 'Load',
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
notes: '<string>'
})
};
fetch('https://api.tread-horizon.com/v1/loads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": "<string>",
"unit_of_measure": "Load",
"load_id": "<string>",
"ordinality": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"state": "created",
"waypoints": [
{
"type": "pickup",
"ordinality": 123,
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123
},
"moving_geofence": false
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
],
"notes": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"approved": true,
"approvable": true,
"unapprovable": true,
"billing_approved_at": "2023-11-07T05:31:56Z",
"field_approved_at": "2023-11-07T05:31:56Z",
"ticket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_number": "<string>",
"preview_url": "<string>"
},
"foremen": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"discarded_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"external_id": "<string>",
"schedule_on": true
}
],
"phase": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"material": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"approval_status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"biller_approved": true,
"company_admin_approved": true,
"driver_approved": true,
"foreman_approved": true,
"billing_approved_at": "2023-11-07T05:31:56Z",
"field_approved_at": "2023-11-07T05:31:56Z"
},
"ai_review": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": "<string>",
"summary": "<string>",
"reasoning": "<string>",
"issues": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"material_rate_assignment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sell_price": "<string>",
"buy_price": "<string>",
"unit_of_measure": "Load",
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123
},
"moving_geofence": false
}
}
}
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Loads
Update a Load
Update a Load by ID
This endpoint requires the edit_load permission
PATCH
/
v1
/
loads
/
{id}
Update a Load
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Load ID
Body
application/json
This model will be used by Load patch to update a load
Available options:
Load, Tonne, Ton, Yard, Meter, Foot, Liter, Hour, Bushel, Gallon, CubicMeter, Mile, Kilometer, Barrel, Bag, Pallet Example:
"Load"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I